=== usr/share/scangearmp2/CMakeLists.txt ===
install(FILES scangearmp2.glade DESTINATION "${CMAKE_INSTALL_DATADIR}/scangearmp2/")
install(FILES scangearmp2.glade.h DESTINATION "${CMAKE_INSTALL_DATADIR}/scangearmp2/")
install(DIRECTORY doc DESTINATION "${CMAKE_INSTALL_DATADIR}/scangearmp2")
