## scangearmp2 4.81

=== debian/changelog ===
scangearmp2 (4.81-1) UNRELEASED; urgency=medium

  * Migration to scangearmp2 4.81

 -- Thierry HUCHARD (cle ubuntu) <thierry@substantiel.fr>  Sun, 18 May 2025 00:57:24 +0200

scangearmp2 (4.71-1) UNRELEASED; urgency=medium

  * Migration to scangearmp2 4.71

 --  Thierry HUCHARD (cle ubuntu) <thierry@substantiel.fr>  Thu, 09 May 2024 19:50:05 +0200

scangearmp2 (4.70a-1) UNRELEASED; urgency=medium

  * Migration to scangearmp2 4.70a

 --  Thierry HUCHARD (cle ubuntu) <thierry@substantiel.fr>  Thu, 02 Nov 2023 20:31:05 +0200

scangearmp2 (4.60.0-3) UNRELEASED; urgency=medium

  * Migration to scangearmp2 4.60

 --  Thierry HUCHARD (cle ubuntu) <thierry@substantiel.fr>  Mon, 13 Aug 2023 20:31:05 +0200

scangearmp2 (4.50.0) UNRELEASED; urgency=medium

  * Migration to scangearmp2 4.50

 --  Thierry HUCHARD (cle ubuntu) <thierry@substantiel.fr>  Mon, 21 Nov 2022 14:46:05 +0200

scangearmp2 (4.40.0) UNRELEASED; urgency=medium

  * Migration to scangearmp2 4.40
  * Add arrch mips64el and aarch64

 --  Thierry HUCHARD (cle ubuntu) <thierry@substantiel.fr>  Mon, 16 Aug 2021 14:46:05 +0200

scangearmp2 (4.30.0) UNRELEASED; urgency=medium

  * Migration to scangearmp2 4.30
  * Add resolution 1200 

 --  Thierry HUCHARD (cle ubuntu) <thierry@substantiel.fr>  Mon, 16 Aug 2021 14:46:05 +0200

scangearmp2 (4.20.4) UNRELEASED; urgency=medium

  * Add ADF and ADF Duplex
  * Add resolution 75, 150, 300 and 600 
  * Migration to scangearmp2 4.20

 --  Thierry HUCHARD (cle ubuntu) <thierry@substantiel.fr>  Mon, 16 Aug 2021 14:46:05 +0200

scangearmp2 (4.12-1ubuntu1604+4) xenial; urgency=medium

  *Add patch to fix resolution.

 --  Thierry HUCHARD (cle ubuntu) <thierry@substantiel.fr>  Mon, 12 Apr 2021 13:51:41 +0200

scangearmp2 (4.12-1ubuntu1604+3) xenial; urgency=medium

  * build for upstream.

 --  Thierry HUCHARD (cle ubuntu) <thierry@substantiel.fr>  Sun, 28 Feb 2021 16:32:56 +0100

scangearmp2 (3.90-1ubuntu) stable; urgency=medium

  * build for upstream. 

 -- thierry <thierry@thierry-thinkpad>  Tue, 06 dec 2017 21:03:04 +0100

scangearmp2 (3.50-2ubuntu.artful) stable; urgency=medium

  * build for artful. 

 -- thierry <thierry@thierry-thinkpad>  Tue, 05 dec 2017 21:03:04 +0100

scangearmp2 (3.50-2) stable; urgency=medium

  * Add upstream version 3.50

 -- thierry <thierry@substantiel.fr>  Tue, 05 Dec 2017 18:00:27 +0100

scangearmp2 (3.40.3+ubuntu.zesty) stable; urgency=medium

  * New release for zesty

 -- Bertie Brousse <bertie95@hotmail.fr>  Fri, 18 Aug 2017 18:01:37 +0000

scangearmp2 (3.40.3+ubuntu.xenial) stable; urgency=medium

  * New release for xenial

 -- Bertie Brousse <bertie95@hotmail.fr>  Fri, 18 Aug 2017 17:51:26 +0000

scangearmp2 (3.40.3+ubuntu.trusty) stable; urgency=medium

  * New release for trusty

 -- Bertie Brousse <bertie95@hotmail.fr>  Fri, 18 Aug 2017 17:43:03 +0000

scangearmp2 (3.40.3+debian.stretch) stable; urgency=medium

  * New release for stretch 

 -- Bertie Brousse <bertie95@hotmail.fr>  Fri, 18 Aug 2017 17:37:50 +0000

scangearmp2 (3.40.3+debian.jessie) stable; urgency=medium

  * Now works with xsane 

 -- Bertie Brousse <bertie95@hotmail.fr>  Fri, 18 Aug 2017 12:07:25 +0200

scangearmp2 (3.40.2+ubuntu.xenial) stable; urgency=medium

  * New release for xenial 

 -- Bertie Brousse <bertie95@hotmail.fr>  Wed, 16 Aug 2017 14:59:04 +0000

scangearmp2 (3.40.2+ubuntu.trusty) stable; urgency=medium

  * New release for trusty 

 -- Bertie Brousse <bertie95@hotmail.fr>  Wed, 16 Aug 2017 14:01:54 +0000

scangearmp2 (3.40.2+debian.stretch) stable; urgency=medium

  * New release for stretch

 -- Bertie Brousse <bertie95@hotmail.fr>  Wed, 16 Aug 2017 13:17:18 +0000

scangearmp2 (3.40.2+debian.jessie) stable; urgency=medium

  * This project is a sane backend for the canon's scanner,
    based on the source code of scangearmp2. 

 -- Bertie Brousse <bertie95@hotmail.fr>  Wed, 16 Aug 2017 10:19:31 +0000

scangearmp2 (3.40-2) stable; urgency=medium

  * This project is a sane backend for the canon's scanner,
    based on the source code of scangearmp2. 

 -- Bertie Brousse <bertie95@hotmail.fr>  Wed, 09 Aug 2017 16:06:15 +0200

scangearmp2 (3.40-1) stable; urgency=low

  * Initial Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Thu, 22 Dec 2016 12:00:00 +0900
